function [Packet,Error] = i3dmgx2_Tempatures(SerialLink)
%Reads the temperature values from sensor
%
%Arguments: SerialLink - Handle of serial link
%
%Returns:   Packet - The data packet
%           Error - Error number

Error = purgePort(SerialLink); %Clear buffer
if Error == 0
    Error = i3dmgx2_SendBuffData(SerialLink,'CMD_TEMPERATURES'); %Write command to device
    if Error == 0
        [Packet,Error] = i3dmgx2_ReceiveData(SerialLink,'CMD_TEMPERATURES'); %Read data from device
        if Error ~= 0
            Packet = [];
        end
    else
        Packet = [];
    end
else
    Packet = [];
end